> For the complete documentation index, see [llms.txt](https://docs.console.zenlayer.com/api-reference/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.console.zenlayer.com/api-reference/cn/compute/traffic/bandwidth-cluster/describebandwidthclusterusage.md).

# DescribeBandwidthClusterUsage

## 1. 接口描述

本接口(DescribeBandwidthClusterUsage)用于查询共享带宽包的用量信息。

## 2. 请求参数

以下请求参数列表仅列出了接口中需要的请求参数

| 参数名称               | 必选 | 类型      | 描述                           |
| ------------------ | -- | ------- | ---------------------------- |
| bandwidthClusterId | 是  | String  | 共享带宽包ID。                     |
| pageSize           | 否  | Integer | <p>返回的分页大小。</p><p>默认为20。</p> |
| pageNum            | 否  | Integer | <p>返回的分页数。</p><p>默认值：1</p>   |

## 3. 响应结果

| 参数名称       | 类型                                                                                                                 | 描述                                                       |
| ---------- | ------------------------------------------------------------------------------------------------------------------ | -------------------------------------------------------- |
| requestId  | String                                                                                                             | <p>唯一请求 ID。</p><p>每次请求都会返回。定位问题时需要提供该次请求的 requestId。</p> |
| totalCount | Integer                                                                                                            | 符合条件的数据总数。                                               |
| dataSet    | Array of [BandwidthClusterUsageData](/api-reference/cn/compute/traffic/datastructure.md#bandwidthclusterusagedata) | 带宽用量数据集。                                                 |

## 4. 代码示例

{% tabs %}
{% tab title="示例" %}
**1. 查询共享带宽包的用量信息。**

```json
POST /api/v2/traffic HTTP/1.1
Host: console.zenlayer.com
Content-Type: application/json
X-ZC-Action: DescribeBandwidthClusterUsage
<Common Request Params>

Request：
{
  "bandwidthClusterId": "bandwidthClusterId",
  "pageNum": 1,
  "pageSize": 20
}

Response：
{
  "requestId": "T4C35327C-7B13-47B8-A815-5E5213D4A9F9",
  "response": {
    "requestId": "T4C35327C-7B13-47B8-A815-5E5213D4A9F9",
    "totalCount": 30,
    "dataSet": [
      {
        "time": "2024-01-01",
        "value": 100.50,
        "details": [
          {
            "cityName": "Los Angeles",
            "cityCode": "LAX",
            "product": "BMC",
            "value": 50.25
          },
          {
            "cityName": "Singapore",
            "cityCode": "SIN",
            "product": "BMC",
            "value": 50.25
          }
        ]
      },
      {
        "time": "2024-01-02",
        "value": 120.80,
        "details": [
          {
            "cityName": "Los Angeles",
            "cityCode": "LAX",
            "product": "BMC",
            "value": 60.40
          },
          {
            "cityName": "Singapore",
            "cityCode": "SIN",
            "product": "BMC",
            "value": 60.40
          }
        ]
      }
    ]
  }
}
```

{% endtab %}
{% endtabs %}

## 5. 开发者工具

Zenlayer Cloud API 2.0 提供了配套的[开发工具集（SDK）](/api-reference/cn/api-introduction/toolkit.md)，未来会陆续支持更多开发语言，方便快速接入和使用Zenlayer的产品和服务。

## 6. 错误码

下面包含业务逻辑中遇到的错误码，其他错误码见[公共错误码](/api-reference/cn/api-introduction/instruction/commonerrorcode.md)

| HTTP状态码 | 错误码                          | 说明         |
| ------- | ---------------------------- | ---------- |
| 404     | INVALID\_CLUSTER\_NOT\_FOUND | 指定的带宽组不存在。 |


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.console.zenlayer.com/api-reference/cn/compute/traffic/bandwidth-cluster/describebandwidthclusterusage.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
